List persons
curl --request GET \
--url https://api-sandbox.synctera.com/v0/persons \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/persons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/persons"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.synctera.com/v0/persons")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/persons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"persons": [
{
"ban_status": "ALLOWED",
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_customer": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"status": "ACTIVE",
"tenant": "abcdef_ghijkl",
"verification_status": "ACCEPTED",
"chosen_name": "Annie",
"customer_active": "2010-05-06T12:23:34.321Z",
"dob": "2000-01-01",
"email": "alice@example.com",
"first_name": "Jane",
"has_accounts": true,
"is_user": true,
"last_name": "Smith",
"legal_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"metadata": {},
"middle_name": "Anne",
"mla_applicable_date": {
"start_date": "2026-01-01",
"end_date": "2026-12-31"
},
"mla_history": [
{
"changed_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"changed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"end_date": "2026-12-31",
"impersonated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2026-01-01"
}
],
"phone_number": "+14374570680",
"previous_names": [
"Jane Anne Doe"
],
"scra_applicable_date": {
"start_date": "2026-01-01",
"end_date": "2026-12-31"
},
"scra_history": [
{
"changed_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"changed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"end_date": "2026-12-31",
"impersonated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2026-01-01"
}
],
"shipping_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"ssn": "123-45-6789",
"ssn_source": "MANUAL",
"verification_last_run": "2010-05-06T12:23:34.321Z",
"classifications": [
"AUTHORIZED_USER"
],
"vendor_info": {
"vendor_data": {
"loanpro": {
"customer_id": 12345
}
},
"vendor_type": "LOANPRO"
},
"personal_ids": [
{
"country_code": "<string>",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id_type": "SSN",
"identifier": "123-45-6789",
"system_provided": true,
"expiry_date": "2020-01-01",
"issue_date": "2020-01-01"
}
]
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Persons
List persons
Retrieves paginated list of persons associated with the authorized requester.
GET
/
persons
List persons
curl --request GET \
--url https://api-sandbox.synctera.com/v0/persons \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/persons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/persons"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.synctera.com/v0/persons")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/persons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"persons": [
{
"ban_status": "ALLOWED",
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_customer": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"status": "ACTIVE",
"tenant": "abcdef_ghijkl",
"verification_status": "ACCEPTED",
"chosen_name": "Annie",
"customer_active": "2010-05-06T12:23:34.321Z",
"dob": "2000-01-01",
"email": "alice@example.com",
"first_name": "Jane",
"has_accounts": true,
"is_user": true,
"last_name": "Smith",
"legal_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"metadata": {},
"middle_name": "Anne",
"mla_applicable_date": {
"start_date": "2026-01-01",
"end_date": "2026-12-31"
},
"mla_history": [
{
"changed_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"changed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"end_date": "2026-12-31",
"impersonated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2026-01-01"
}
],
"phone_number": "+14374570680",
"previous_names": [
"Jane Anne Doe"
],
"scra_applicable_date": {
"start_date": "2026-01-01",
"end_date": "2026-12-31"
},
"scra_history": [
{
"changed_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"changed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"end_date": "2026-12-31",
"impersonated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2026-01-01"
}
],
"shipping_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"ssn": "123-45-6789",
"ssn_source": "MANUAL",
"verification_last_run": "2010-05-06T12:23:34.321Z",
"classifications": [
"AUTHORIZED_USER"
],
"vendor_info": {
"vendor_data": {
"loanpro": {
"customer_id": 12345
}
},
"vendor_type": "LOANPRO"
},
"personal_ids": [
{
"country_code": "<string>",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id_type": "SSN",
"identifier": "123-45-6789",
"system_provided": true,
"expiry_date": "2020-01-01",
"issue_date": "2020-01-01"
}
]
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Query Parameters
Status of the person. One of the following:
ACTIVE– is an integrator defined status. Integrators should set a person to active if they believe the person to be qualified for conducting business. Synctera will combine this status with other statuses such a verification to determine if the person is eligible for specific actions such as initiating transactions or issuing a card.DECEASED– person is deceased.DENIED– customer was turned down.DORMANT– person is no longer active.ESCHEAT– person's assets are abandoned and are property of the state.FROZEN– person's actions are blocked for security, legal, or other reasons.INACTIVE– an inactive status indicating that the person is no longer active.PROSPECT– a potential customer, used for information-gathering and disclosures.SANCTION– person is on a sanctions list and should be carefully monitored.
Available options:
ACTIVE, DECEASED, DENIED, DORMANT, ESCHEAT, FROZEN, INACTIVE, PROSPECT, SANCTION Example:
"ACTIVE"
Specifies the classification of a party for banks. It can contain multiple values. Specifies the classification of a party for banks. This may contain multiple values for a combined classifications list of customers.
Specifies the classification of a party.
Available options:
AUTHORIZED_USER, BANK_CUSTOMER, INACTIVE_BANK_CUSTOMER, PROSPECT Verification status of the person. Multiple values can be provided as a comma-seperated list of the following:
UNVERIFIED– verification has not been completed for this customer.PENDING– verification is in progress for this customer.PROVISIONAL– partially verified or verified with restrictions.ACCEPTED– the customer has been verified.REVIEW– verification has run and issues have been identified and require review.REJECTED– the customer was rejected and should not be allowed to take certain actions e.g., open an account.
The result of a KYC/KYB verification. One of the following:
UNVERIFIED– verification has not been completed for this customer.PENDING– verification is in progress for this customer.PROVISIONAL– partially verified or verified with restrictions.ACCEPTED– the customer has been verified.REVIEW– verification has run and issues have been identified and require review.REJECTED– the customer was rejected and should not be allowed to take certain actions e.g., open an account.
Available options:
ACCEPTED, PENDING, PROVISIONAL, REJECTED, REVIEW, UNVERIFIED Ban status of the person. Multiple values can be provided as a comma-seperated list of the following:
ALLOWED– person is not banned or suspendedSUSPENDED- person is suspendedBANNED– person is banned
(beta) Ban status of the person. One of the following:
ALLOWED– person is not banned or suspendedSUSPENDED- person is manually suspended due to fraudBANNED– person is banned due to matching ban rules Note: changing the ban status to or from BANNED can only be performed by the Synctera platform based on ban rules.
Available options:
ALLOWED, BANNED, SUSPENDED Was this page helpful?

